<?
//
// SourceForge: Breaking Down the Barriers to Open Source Development
// Copyright 1999-2000 (c) The SourceForge Crew
// http://sourceforge.net
//
// $Id: tim20000821.php3,v 1.2 2001/05/22 19:22:47 tim Exp $


unset ($BROWSER_AGENT);
unset ($BROWSER_VER);
unset ($BROWSER_PLATFORM);


function browser_get_agent () {
	global $BROWSER_AGENT;
	return $BROWSER_AGENT;
}


function browser_get_version() {
	global $BROWSER_VER;
	return $BROWSER_VER;
}


function browser_get_platform() {
	global $BROWSER_PLATFORM;
	return $BROWSER_PLATFORM;
}


function browser_is_mac() {
	if (browser_get_platform()=='Mac') {
		return true;
	} else {
		return false;
	}
}


function browser_is_windows() {
	if (browser_get_platform()=='Win') {
		return true;
	} else {
		return false;
	}
}


function browser_is_ie() {
	if (browser_get_agent()=='IE') {
		return true;
	} else {
		return false;
	}
}


function browser_is_netscape() {
	if (browser_get_agent()=='MOZILLA') {
		return true;
	} else {
		return false;
	}
}



/*
Determine browser and version
*/

if (ereg( 'MSIE ([0-9].[0-9]{1,2})',$HTTP_USER_AGENT,$log_version)) {
	$BROWSER_VER=$log_version[1];
	$BROWSER_AGENT='IE';
} elseif (ereg( 'Opera ([0-9].[0-9]{1,2})',$HTTP_USER_AGENT,$log_version)) {
	$BROWSER_VER=$log_version[1];
	$BROWSER_AGENT='OPERA';
} elseif (ereg( 'Mozilla/([0-9].[0-9]{1,2})',$HTTP_USER_AGENT,$log_version)) {
	$BROWSER_VER=$log_version[1];
	$BROWSER_AGENT='MOZILLA';
} else {
	$BROWSER_VER=0;
	$BROWSER_AGENT='OTHER';
}

/*
Determine platform
*/

if (strstr($HTTP_USER_AGENT,'Win')) {
	$BROWSER_PLATFORM='Win';
} else if (strstr($HTTP_USER_AGENT,'Mac')) {
	$BROWSER_PLATFORM='Mac';
} else if (strstr($HTTP_USER_AGENT,'Linux')) {
	$BROWSER_PLATFORM='Linux';
} else if (strstr($HTTP_USER_AGENT,'Unix')) {
	$BROWSER_PLATFORM='Unix';
} else {
	$BROWSER_PLATFORM='Other';
}


function css_site() {
	//determine font for this platform
	if (browser_is_windows() && browser_is_ie()) {
		//ie needs smaller fonts than anyone else
		$font_size='x-small';
		$font_smaller='xx-small';
		$font_smallest='7pt';
	} else if (browser_is_windows()) {
		//netscape or "other" on wintel
		$font_size='small';
		$font_smaller='x-small';
		$font_smallest='x-small';
	} else if (browser_is_mac()){
		//mac users need bigger fonts
		$font_size='medium';
		$font_smaller='small';
		$font_smallest='x-small';
	} else {
		//linux and other users
		$font_size='small';
		$font_smaller='x-small';
		$font_smallest='x-small';
	}
	$site_fonts='verdana, arial, helvetica, sans-serif';

//------------------------------------------ Example CSS STYLESHEET
// <STYLE TYPE="text/css">
// <!--
// BODY, TH, TD, OL, UL, LI { font-family: verdana, arial, helvetica, sans-serif; font-size: <?php echo $font_size; ?>; }
// H1 { font-size: 175%; font-family: <?php echo $site_fonts; ?>; }
// H2 { font-size: 150%; font-family: <?php echo $site_fonts; ?>; } 
// H3 { font-size: 125%; font-family: <?php echo $site_fonts; ?>; }
// H4 { font-size: 100%; font-family: <?php echo $site_fonts; ?>; } 
// H5 { font-size: 75%; font-family: <?php echo $site_fonts; ?>; }
// H6 { font-size: 50%; font-family: <?php echo $site_fonts; ?>; }
// PRE, TT, CODE { font-family: courier, sans-serif; font-size: <?php echo $font_size; ?>; }
// A  { text-decoration: none; color: #FF6666; font-size: <?php echo $font_size; ?>; }
// -->
// </STYLE>
//--------------------------------------------------------------
}

?> 

/*
//debug code
echo "\n\nAgent: $HTTP_USER_AGENT";
echo "\nIE: ".browser_is_ie();
echo "\nMac: ".browser_is_mac();
echo "\nWindows: ".browser_is_windows();
echo "\nPlatform: ".browser_get_platform();
echo "\nVersion: ".browser_get_version();
echo "\nAgent: ".browser_get_agent();
*/

?> 
