#!/bin/bash
VERSION=`date +%Y%m%d`
ROOT=/home/httpd
HTML=$ROOT/html
VERFILE=wildweb/wildweb.inc.php
mv $ROOT/$VERFILE  $ROOT/$VERFILE.oldver
sed "s/^\$WILDWEBVER=.*/\$WILDWEBVER='$VERSION';/" $ROOT/$VERFILE.oldver > $ROOT/$VERFILE

echo 'updating documentation...'
/usr/local/phpdoc/phpdoc -d /home/httpd/wildweb/ -t /home/httpd/html/wildwebdocs/ > /dev/null

echo 'creating .tar.gz...'
tar -cvzf $ROOT/wildweb-$VERSION.tar.gz \
	$ROOT/wildweb \
	$HTML/*.php $HTML/*.sh \
	$HTML/imgs \
	$HTML/wildwebdocs \
	$HTML/tablemanager \
	$HTML/wildweb \
	&& echo $ROOT/wildweb-$VERSION.tar.gz created sucessfuly
